Subject: Re: bug#62216: Odd file corruption in clojure mode and emacs 30 HEAD

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 May 2023 14:35:55 +0300

> Date: Tue, 16 May 2023 20:22:24 +0000
> From: Jonathon McKitrick <[email-masked]>
> Cc: [email-masked]
> 
> I'm frustrated that I cannot reproduce the bug reliably, but it does happen constantly under emacs 30. What I have narrowed it down to
> is what seems to be a random injection of code from the same file or the kill ring. That of course trips up paredit and any compilation.
> I check the messages, and cannot tell if there's a random command or key binding that triggers a random command responsible for the issue.
> I happens with and without native compilation. Since I cannot predict *when* it's going to happen, it's difficult to get work done with
> packages disabled, not knowing when I'll see the bug.
> 
> Has anything like this been reported anywhere else?

There's bug#63187, which is perhaps similar?  It is also on macOS.